## org.eclipse.ocl.expressions.operations
Class UnlimitedNaturalLiteralExpOperations

    java.lang.Object
      org.eclipse.ocl.expressions.operations.OCLExpressionOperations
          org.eclipse.ocl.expressions.operations.UnlimitedNaturalLiteralExpOperations

    public class UnlimitedNaturalLiteralExpOperations

extends OCLExpressionOperations

A static utility class that provides operations related to 'Unlimited Natural Literal Exp' model objects.

The following operations are supported:

- `Check Natural Type`

Constructor Summary
`protected` `UnlimitedNaturalLiteralExpOperations()`

Method Summary

`static

`<C> boolean`

`

`checkNaturalType(UnlimitedNaturalLiteralExp<C> unlimitedNaturalLiteralExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
self.type.name = 'UnlimitedNatural'

Methods inherited from class org.eclipse.ocl.expressions.operations.OCLExpressionOperations
`accept, getName, getType, setName, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnlimitedNaturalLiteralExpOperations

    protected UnlimitedNaturalLiteralExpOperations()

Method Detail

### checkNaturalType

    public static <C> boolean checkNaturalType(UnlimitedNaturalLiteralExp<C> unlimitedNaturalLiteralExp,
                                               DiagnosticChain diagnostics,
                                               Map<Object,Object> context)

  self.type.name = 'UnlimitedNatural'

  Parameters:
    `unlimitedNaturalLiteralExp` - The receiving 'Unlimited Natural Literal Exp' model object.
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.